from charged_shells import parameters, charge_distributions
from config import *
import numpy as np


def main():

    abar = np.array([0.2, 0.3, 0.4, 0.5, 0.5, 0.7, 0.8])
    params = parameters.ModelParams(kappaR=3, R=150)
    ex = charge_distributions.create_mapped_dipolar_expansion(abar, params.kappaR, 0.001, 30)
    print(ex.coefs.shape)
    l_arr, m_arr = ex.lm_arrays
    lm = np.stack((l_arr, m_arr)).T
    print(lm.shape)

    np.savez(ICI_DATA_PATH.joinpath("janus.npz"), abar=abar, lm=lm, coefs=ex.coefs)



if __name__ == '__main__':

    main()